<xml> </xml>

Better ListView Class Reference |

# BetterListViewBeforeDragEventArgs Constructor

Initializes a new instance of the BetterListViewBeforeDragEventArgs class.

BetterListViewBeforeDragEventArgs(
IDataObject data,
int keyState,
int x,
int y,
DragDropEffects allowedEffect,
DragDropEffects effect
);

#### Parameters

data
  The data associated with this event.
keyState
  The current state of the SHIFT, CTRL, and ALT keys.
x
  The x-coordinate of the mouse cursor in pixels.
y
  The y-coordinate of the mouse cursor in pixels.
allowedEffect
  Allowed System.Windows.Forms.DragDropEffects values.
effect
  One of the System.Windows.Forms.DragDropEffects values.

#### See Also

BetterListViewBeforeDragEventArgs Class | ComponentOwl.BetterListView Namespace